package com.ydl.ydlcommon.bean

import android.graphics.Color

/**
 * Created by haorui on 2019-08-15.
 * Des:
 */
class StatusBarOptions {
    var isAddStatusView: Boolean = false
    var statusBarDarkMode: Boolean = false
    var statusColor: String ?= null
        get() {
            return if (field != null) {
                field
            } else {
                "#FFFFFF"
            }
        }
    var bottomStatusColor: Int = Color.parseColor("#00000000") //底部颜色默认透明色，个别页面自己设置即可

    constructor(isAddStatusView: Boolean = false, statusBarDarkMode: Boolean= false) {
        this.isAddStatusView = isAddStatusView
        this.statusBarDarkMode = statusBarDarkMode
    }

    constructor()

}
